<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){ 
	case 'webshopset':
	include('config/config_webshopset.php');
	include('config/config_webshop_promotions.php');
	$MaxLine = $MaxLine_Type;
	$Optvalue = '';
	$Opt1 = $_GET['Opt1'];
	$Opt2 = $_GET['Opt2'];
	$Opt3 = $_GET['Opt3'];
	$Opt4 = $_GET['Opt4'];
	$Opt5 = $_GET['Opt5'];
	$Opt6 = $_GET['Opt6'];
	$Opt7 = (int)$_GET['Opt7'];
	
	$Optvalue = $Opt1.$Opt2.$Opt3.$Opt4.$Opt5.$Opt6;
	$Optlen = strlen($Optvalue);
	
	$item = (int)$_GET['vitri'];
	$lvl = (int)$_GET['lvl'];	if($lvl < 0 || $lvl > 15) $lvl = 0;
	$opt = (int)$_GET['opt'];	if($opt < 0 || $opt > 7) $opt = 0;
	$pass2 = $_GET['pass2'];
	
	if( $sendsv === false ) { echo "<font size='3' color='red'>Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện.</font>"; }
	elseif (preg_match("/[^0-9$]/", $item))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : Items Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (($Opt1!='0' && !empty($Opt1)) || ($Opt2!='1' && !empty($Opt2)) || ($Opt3!='2' && !empty($Opt3)) || ($Opt4!='3' && !empty($Opt4)) || ($Opt5!='4' && !empty($Opt5)) || ($Opt6!='5' && !empty($Opt6)))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Opction không được cho phép.</font>";
	}
	elseif ($Optlen>$MaxLine)
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Hệ thống chỉ cho phép chọn $MaxLine Optiont.</font>";
	}
	elseif (preg_match("/[^0-9$]/", $lvl))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : $lvl . Level Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (preg_match("/[^0-9$]/", $opt))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : $opt . Option Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (empty($pass2))
	{
		echo "<font size='3' color='red'>Chưa nhập mật khẩu Web.</font>";
	}
	elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
	}
	else {
	
	$getcontent_url = $server_url . "/shop_setitem.php";
	$getcontent_data = array(
		'login'    =>  $_SESSION['mu_username'],
		'pass2'    =>  $pass2,
		'item'    =>  $item,
		'Opt7'	=>	$Opt7,
		'Optvalue'	=>	$Optvalue,
		'opt'	=>	$opt,
		'lvl'    =>  $lvl,
		'string_login'    =>  $_SESSION['checklogin'],
		'passtransfer'    =>  $passtransfer
	); 
	
	$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

		if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
		elseif($reponse == "login_other") {
			echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
			session_destroy();
		}
		else {
			$info = explode('<vweb>',$reponse);
			if ($info[0] == 'OK') {
				$chiphi = $info[1];
				echo "|OK|".$info[2];
				$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin']-$chiphi;
			}
			else echo "<font size='3' color='red'>$reponse</font>";
		}
	}
	break;
	
	case 'webshopsetkc':
	include('config/config_webshopset_kc.php');
	$MaxLine = $MaxLine_Type;
	$Optvalue = '';
	$Opt1 = $_GET['Opt1'];
	$Opt2 = $_GET['Opt2'];
	$Opt3 = $_GET['Opt3'];
	$Opt4 = $_GET['Opt4'];
	$Opt5 = $_GET['Opt5'];
	$Opt6 = $_GET['Opt6'];
	$Opt7 = (int)$_GET['Opt7'];
	
	$Optvalue = $Opt1.$Opt2.$Opt3.$Opt4.$Opt5.$Opt6;
	$Optlen = strlen($Optvalue);
	
	$item = (int)$_GET['vitri'];
	$lvl = (int)$_GET['lvl'];	if($lvl < 0 || $lvl > 15) $lvl = 0;
	$opt = (int)$_GET['opt'];	if($opt < 0 || $opt > 7) $opt = 0;
	$pass2 = $_GET['pass2'];
	
	if( $sendsv === false ) { echo "<font size='3' color='red'>Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện.</font>"; }
	elseif (preg_match("/[^0-9$]/", $item))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : Items Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (($Opt1!='0' && !empty($Opt1)) || ($Opt2!='1' && !empty($Opt2)) || ($Opt3!='2' && !empty($Opt3)) || ($Opt4!='3' && !empty($Opt4)) || ($Opt5!='4' && !empty($Opt5)) || ($Opt6!='5' && !empty($Opt6)))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Opction không được cho phép.</font>";
	}
	elseif ($Optlen>$MaxLine)
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Hệ thống chỉ cho phép chọn $MaxLine Optiont.</font>";
	}
	elseif (preg_match("/[^0-9$]/", $lvl))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : $lvl . Level Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (preg_match("/[^0-9$]/", $opt))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi : $opt . Option Chỉ được sử dụng số (1-9).</font>"; 
	}
	elseif (empty($pass2))
	{
		echo "<font size='3' color='red'>Chưa nhập mật khẩu Web.</font>";
	}
	elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
	{
		echo "<font size='3' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
	}
	else {
	
	$getcontent_url = $server_url . "/shop_setitem_kc.php";
	$getcontent_data = array(
		'login'    =>  $_SESSION['mu_username'],
		'pass2'    =>  $pass2,
		'item'    =>  $item,
		'Opt7'	=>	$Opt7,
		'Optvalue'	=>	$Optvalue,
		'opt'	=>	$opt,
		'lvl'    =>  $lvl,
		'string_login'    =>  $_SESSION['checklogin'],
		'passtransfer'    =>  $passtransfer
	); 
	
	$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

		if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
		elseif($reponse == "login_other") {
			echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
			session_destroy();
		}
		else {
			$info = explode('<vweb>',$reponse);
			if ($info[0] == 'OK') {
				$chiphi = $info[1];
				echo "|OK|".$info[2];
				$_SESSION['acc_kimcuong'] = $_SESSION['acc_kimcuong']-$chiphi;
			}
			else echo "<font size='3' color='red'>$reponse</font>";
		}
	}
	break;
}
?>